#include <iostream>
using namespace std;
struct poznanstvo
{
    int prvo;
    int drugo;
};
int apsolutno (int a, int b)
{
    if (a+b<0)
        return -(a+b);
    return a+b;
}
int main ()
{
    int m,n,sreca=0;
    cin>>n>>m;
    int N[n];
    poznanstvo M[m];
    for (int i=0;i<n;i++)
        cin>>N[i];
    int i,p=0;
    for (i=0;i<m;i++)
    {
        cin>>M[p].prvo>>M[p].drugo;
        if (N[M[p].prvo-1] == -N[M[p].drugo-1])
        {
            p--;
        }

        p++;
    }
    for (i=0;i<p;i++)
    {
        sreca = sreca + apsolutno(N[M[i].prvo-1] , N[M[i].drugo-1]);
    }

    cout<<sreca;
    return 0;
}